import { roleMap } from '../lti/util.js';
export class LTIMessage {
    raw;
    resource_link_id;
    user_id;
    roles;
    context_memberships_url;
    constructor(raw) {
        this.raw = raw;
        this.resource_link_id =
            raw['https://purl.imsglobal.org/spec/lti/claim/resource_link'].id;
        this.roles = new Set(roleMap(raw['https://purl.imsglobal.org/spec/lti/claim/roles']));
        this.context_memberships_url = raw['https://purl.imsglobal.org/spec/lti-nrps/claim/namesroleservice']?.context_memberships_url;
        this.user_id = raw.sub;
    }
}
//# sourceMappingURL=lti_message.js.map