export class AddMessageModel1721813798280 {
    name = 'AddMessageModel1721813798280';
    async up(queryRunner) {
        await queryRunner.query(`CREATE TABLE \`lti_message_model\` (\`id\` uuid NOT NULL, \`nonce\` varchar(255) NOT NULL, \`platformIss\` varchar(255) NULL, \`platformClientId\` varchar(255) NULL, PRIMARY KEY (\`id\`)) ENGINE=InnoDB`);
        await queryRunner.query(`ALTER TABLE \`lti_message_model\` ADD CONSTRAINT \`FK_15d2f5786f1e855578f5926956b\` FOREIGN KEY (\`platformIss\`, \`platformClientId\`) REFERENCES \`platform_model\`(\`iss\`,\`client_id\`) ON DELETE NO ACTION ON UPDATE NO ACTION`);
    }
    async down(queryRunner) {
        await queryRunner.query(`ALTER TABLE \`lti_message_model\` DROP FOREIGN KEY \`FK_15d2f5786f1e855578f5926956b\``);
        await queryRunner.query(`DROP TABLE \`lti_message_model\``);
    }
}
//# sourceMappingURL=1721813798280-Add-Message-Model.js.map